CAN_Config_Codec_Ext does not transmit any data
2020-08-31 13:59 - hidden

Status: Closed
Priority: Normal
Category:
Customer: VW Product Issue
Numbers:
Department: EKTL Affected Products: ADTF 2.13.1
Requester's Priority: Normal Platform: Windows 10 64bit
Support Level: 2nd Level Topic: DeviceTB::CAN
Resolution: Solved Issue FAQ Links:
Description
Support Anfrage:

Als ADTF-Anfanger stehe ich vor dem folgenden Problem: Mit der Bus Tools Hardware EB 5200 empfange ich CAN Botschaften
eines Fahrzeugs. Im CAN Trace View sind dieempfangenen Botschaften einsehbar. Im Filter Trace View erscheint die Bus-Aktivitat
und die Datenraten der Output Pins vom EB_2200_5200_Receiver Filter. Diese Output Pins verbinde ich mit dem
CAN_Config_Codec_Ext Filter um einzelne Signale mithilfe von dbc Files zu filtern. Nun scheinen aber die CAN Media Samples
nicht in den Input des Codecs zu gelangen, das Filter Trace Fenster zeigt an, dass Uber die Input Pins vom CCCExt keine Daten
laufen. Woran kann dieses Problem liegen? Zumal an dem vorherigen Filterpin die gleichen Botschaften noch zu sehen sind.

Lésung:

Der "CAN Config Codec Ext"-Filter ist ein En- und Decoder-Filter.
In Deinem Fall hast Du jetzt nur die Decoder-Funktionalitat verwendet. Von daher kommen nur Samples aus den von Dir
konfigurierten Ausgangspin(s) heraus.

Legst Du fur den Filter einen entsprechenden Eingangspin an, so werden CAN-Botschaften auf den "Output"-Pin gelegt.
Das ware dann der Encoder-Fall.
Die Botschaften am Ausgangspin beinhalten dann die Signal-Werte vom konfigurierten Eingangspin.

History

#1 - 2020-08-31 14:06 - hidden

@sebastian: Kannst du hier weiterhelfen?

#5 - 2020-09-04 08:01 - hidden
- Topic set to DeviceTB::CAN

#6 - 2020-09-04 08:47 - hidden

Nach Neuaufbau der Konfiguration in neuem Projekt Gbertragt jetzt nur der "Output"-Pin keine CAN Samples. Die im Signal Config angelegten
Signal-Pins schicken CAN Media Samples raus.

Woran kann es liegen, dass Output nichts Ubertragt? Ist es richtig, dass dort eig. alle ausgewahlten Signale gemeinsam rausgeschickt werden
mussten?

Gruf3 Marko

#9 - 2020-09-04 15:45 - hidden

- Status changed from New to Customer Feedback Required
Hallo Marko,

der "CAN Config Codec Ext"-Filter ist ein En- und Decoder-Filter.

In Deinem Fall hast Du jetzt nur die Decoder-Funktionalitiat verwendet. Von daher kommen nur Samples aus den von Dir konfigurierten
Ausgangspin(s) heraus.
Legst Du fur den Filter einen entsprechenden Eingangspin an, so werden CAN-Botschaften auf den "Output"-Pin gelegt.
Das wére dann der Encoder-Fall.
Die Botschaften am Ausgangspin beinhalten dann die Signal-Werte vom konfigurierten Eingangspin.

GruB3
Frank

#10 - 2020-09-09 09:18 - hidden

Hallo Marco,

hat Dir die Info weitergeholfen?
Kann das Ticket geschlossen werden?

Grui3
Matthias

#12 - 2020-09-09 09:24 - hidden
Hallo Matthias,

ja das hat mir weitergeholfen, danke fir die Hilfe.
Das Ticket kann geschlossen werden.

Gruf3 Marko

#13 - 2020-09-09 10:00 - hidden
- Description updated
- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#14 - 2020-09-09 10:02 - hidden
- Subject changed from CAN_Config_Codec_Ext (ibertrdgt keine Daten to CAN_Config_Codec_Ext does not transmit any data

#15 - 2020-09-28 14:08 - hidden
- Project changed from 20 to Public Support
- Status changed from To Be Closed to Closed

- Private changed from Yes to No
